COST
扣费规则
每次请求按固定额度扣费,不随返回条数变化。
固定 1 点额度/次
实际扣费以响应头 x-api-cost 为准。
请求说明
参数
路径参数
emuCodestring 必填
要查询的车组编号,例如 CR400AF-C-2214。
示例:CR400AF-C-2214
响应说明
状态码与响应格式
200
动车组配属基础信息。
响应头
x-api-remainx-api-cost
application/jsonobject
响应结构
{
"type": "object",
"required": [
"ok",
"data",
"error"
],
"properties": {
"ok": {
"type": "boolean",
"required": true
},
"data": {
"type": "object",
"required": true,
"shape": {
"type": "object",
"required": [
"requestEmuCode",
"emuCode",
"model",
"trainSetNo",
"bureau",
"trainDepot",
"depot",
"subModel",
"customType",
"trainsetManufacturer",
"trailerManufacturer",
"manufactureMonth",
"isPublic",
"railwayTravelCodeEnabled",
"firstClassPowerLegrest",
"toiletStatus",
"socketLocation",
"businessSeatType",
"modelRemark",
"note",
"tags",
"alias",
"coachLayouts"
],
"properties": {
"requestEmuCode": {
"type": "string",
"required": true
},
"emuCode": {
"type": "string",
"required": true
},
"model": {
"type": "string",
"required": true
},
"trainSetNo": {
"type": "string",
"required": true
},
"bureau": {
"type": "string",
"required": true
},
"trainDepot": {
"type": "string",
"required": true
},
"depot": {
"type": "string",
"required": true
},
"subModel": {
"type": "string",
"required": true
},
"customType": {
"type": "string",
"required": true
},
"trainsetManufacturer": {
"type": "string",
"required": true
},
"trailerManufacturer": {
"type": "string",
"required": true
},
"manufactureMonth": {
"type": "string",
"required": true
},
"isPublic": {
"type": "boolean",
"required": true
},
"railwayTravelCodeEnabled": {
"type": "boolean",
"required": true
},
"firstClassPowerLegrest": {
"type": "boolean",
"required": true
},
"toiletStatus": {
"type": "string",
"required": true
},
"socketLocation": {
"type": "string",
"required": true
},
"businessSeatType": {
"type": "string",
"required": true
},
"modelRemark": {
"type": "string",
"required": true
},
"note": {
"type": "string",
"required": true
},
"tags": {
"type": "array<string>",
"required": true,
"shape": {
"type": "array",
"items": {
"type": "string"
}
}
},
"alias": {
"type": "array<string>",
"required": true,
"shape": {
"type": "array",
"items": {
"type": "string"
}
}
},
"coachLayouts": {
"type": "array<object>",
"required": true,
"shape": {
"type": "array",
"items": {
"type": "object",
"required": [
"coachNo",
"coachTypeCode",
"coachTypeName",
"capacity",
"hasPower",
"hasPantograph",
"hasLargeLuggageArea",
"hasAccessibleFacility"
],
"properties": {
"coachNo": {
"type": "integer",
"required": true
},
"coachTypeCode": {
"type": "string",
"required": true
},
"coachTypeName": {
"type": "string",
"required": true
},
"capacity": {
"type": "integer",
"required": true
},
"hasPower": {
"type": "boolean",
"required": true
},
"hasPantograph": {
"type": "boolean",
"required": true
},
"hasLargeLuggageArea": {
"type": "boolean",
"required": true
},
"hasAccessibleFacility": {
"type": "boolean",
"required": true
}
}
}
}
}
}
}
},
"error": {
"type": "string",
"required": true
}
}
}示例响应
{
"ok": true,
"data": {
"requestEmuCode": "CR400AF-C-2214",
"emuCode": "CR400AF-C-2214",
"model": "CR400AF-C",
"trainSetNo": "2214",
"bureau": "北京局集团",
"trainDepot": "北京动车段",
"depot": "雄安动车所",
"subModel": "",
"customType": "",
"trainsetManufacturer": "中车青岛四方",
"trailerManufacturer": "中车青岛四方",
"manufactureMonth": "2020-09",
"isPublic": true,
"railwayTravelCodeEnabled": true,
"firstClassPowerLegrest": true,
"toiletStatus": "蹲厕、马桶均有",
"socketLocation": "洗手台,首末排侧面;一二等座:坐垫接缝处,前排座椅后背(USB Type A)",
"businessSeatType": "鱼骨式",
"modelRemark": "本车座椅靠背硬度较大,可能导致一定程度不适。",
"note": "",
"tags": [
"京雄城际定制",
"ATO"
],
"alias": [],
"coachLayouts": [
{
"coachNo": 1,
"coachTypeCode": "ZYS",
"coachTypeName": "一等/商务座车",
"capacity": 34,
"hasPower": false,
"hasPantograph": false,
"hasLargeLuggageArea": false,
"hasAccessibleFacility": false
},
{
"coachNo": 2,
"coachTypeCode": "ZE",
"coachTypeName": "二等座车",
"capacity": 90,
"hasPower": true,
"hasPantograph": false,
"hasLargeLuggageArea": false,
"hasAccessibleFacility": false
},
{
"coachNo": 3,
"coachTypeCode": "ZE",
"coachTypeName": "二等座车",
"capacity": 90,
"hasPower": false,
"hasPantograph": true,
"hasLargeLuggageArea": false,
"hasAccessibleFacility": false
},
{
"coachNo": 4,
"coachTypeCode": "ZE",
"coachTypeName": "二等座车",
"capacity": 75,
"hasPower": true,
"hasPantograph": false,
"hasLargeLuggageArea": true,
"hasAccessibleFacility": true
},
{
"coachNo": 5,
"coachTypeCode": "ZEC",
"coachTypeName": "二等座车/餐车",
"capacity": 63,
"hasPower": true,
"hasPantograph": false,
"hasLargeLuggageArea": false,
"hasAccessibleFacility": false
},
{
"coachNo": 6,
"coachTypeCode": "ZE",
"coachTypeName": "二等座车",
"capacity": 90,
"hasPower": false,
"hasPantograph": true,
"hasLargeLuggageArea": false,
"hasAccessibleFacility": false
},
{
"coachNo": 7,
"coachTypeCode": "ZE",
"coachTypeName": "二等座车",
"capacity": 90,
"hasPower": true,
"hasPantograph": false,
"hasLargeLuggageArea": false,
"hasAccessibleFacility": false
},
{
"coachNo": 8,
"coachTypeCode": "ZES",
"coachTypeName": "二等/商务座车",
"capacity": 46,
"hasPower": false,
"hasPantograph": false,
"hasLargeLuggageArea": false,
"hasAccessibleFacility": false
}
]
},
"error": ""
}400
Invalid path parameter.
响应头
x-api-remainx-api-cost
application/jsonobject
响应结构
{
"type": "object",
"required": [
"ok",
"data",
"error"
],
"properties": {
"ok": {
"type": "boolean",
"required": true
},
"data": {
"type": "string",
"required": true
},
"error": {
"type": "string",
"required": true
}
}
}示例响应
{
"ok": false,
"data": "emuCode 不能为空。",
"error": "invalid_param"
}404
Allocation profile not found.
响应头
x-api-remainx-api-cost
application/jsonobject
响应结构
{
"type": "object",
"required": [
"ok",
"data",
"error"
],
"properties": {
"ok": {
"type": "boolean",
"required": true
},
"data": {
"type": "string",
"required": true
},
"error": {
"type": "string",
"required": true
}
}
}示例响应
{
"ok": false,
"data": "未找到该动车组配属信息",
"error": "allocation_not_found"
}